/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Feb-12-2011 07:52:54pm
Filepath: scripts\_custom\mlpackage\Engines\Peerless System\ConfirmGumps.cs
Lines of code: 60

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Gumps
{
	public class ConfirmPartyGump : BaseConfirmGump
	{
		public override int LabelNumber{ get{ return 1072525; } } // <CENTER>Are you sure you want to teleport <BR>your party to an unknown area?</CENTER>
		
		private MasterKey m_Key;
	
		public ConfirmPartyGump( MasterKey key ) : base()
		{
			m_Key = key;
		}
		
		public override void Confirm( Mobile from )
		{		
			if ( m_Key == null )
				return;				
				
			if (  m_Key.Altar == null  )
				return;
				
			m_Key.Altar.SendConfirmations( from );
			m_Key.Delete();		
		}
	}
	
	public class ConfirmExitGump : BaseConfirmGump
	{
		public override int LabelNumber{ get{ return 1075026; } } // Are you sure you wish to teleport?
		
		private PeerlessAltar m_Altar;
	
		public ConfirmExitGump( PeerlessAltar altar ) : base()
		{
			m_Altar = altar;
		}
		
		public override void Confirm( Mobile from )
		{		
			if ( m_Altar == null )
				return;
				
			m_Altar.Exit( from );
		}
	}
	
	public class ConfirmEntranceGump : BaseConfirmGump
	{
		public override int LabelNumber{ get{ return 1072526; } } // <CENTER>Your party is teleporting to an unknown area.<BR>Do you wish to go?</CENTER>
			
		private PeerlessAltar m_Altar;	
			
		public ConfirmEntranceGump( PeerlessAltar altar ) : base()
		{
			m_Altar = altar;
		}
		
		public override void Confirm( Mobile from )
		{		
			if ( m_Altar == null )
				return;
				
			m_Altar.AddFighter( from, true );
		}
		
		public override void Refuse( Mobile from )
		{		
			if ( m_Altar == null )
				return;
				
			m_Altar.AddFighter( from, false );
		}
	}
}